[3.3] Unbekannte Datenbankbackupversion in neue 3.3 umgebung importieren

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Gesperrt
Benutzeravatar
KWolf
Mitglied
Beiträge: 29
Registriert: 18.07.2020 11:57

[3.3] Unbekannte Datenbankbackupversion in neue 3.3 umgebung importieren

Beitrag von KWolf »

Hallo Leute,

ich möchte als erstes die Gegebenheiten erläutern:

1. Ich bewege mich auf einem Webspace mit einer alten "phpBB" Installation, welche im Browser nicht mehr angezeigt wird. Was mir hier bereits aufgefallen ist nach längerem Googlen und Vergleichen an dem schon gedownloadeten neuem 3.3 Paket, dass kein "vendor" Ordner in dem bereits online installierten Forum existiert.

2. Ich besitze ein Datenbank-Backup (ca 1 Monat alt). Dieses habe ich über Xampp mal ausgelesen und dort sind jede Menge Daten auch drin. Die Version des Forums, konnte ich trotz aller Googletips bzw. bei euch im forum nicht herausbekommen.

3. Die "wichtigen Ordner" Images, Store, docs, files, existieren.

Die entscheidenen zwei Fragen:

a) wie bekomme ich heraus, welche Version diese noch existierende Ordnerstruktur auf dem FTP ist?
b) könnte ich auch ohne dass ich diese weiß, eine neue Installation von 3.3 machen und die Datenbank, Images etc in die neue implementieren, sodass das Forum wieder funktionstüchtig ist? (ich habe dies spaßeshalber auf xampp schon versucht, jedoch beim importieren der Datenbank gibt es nur eine Fehlermeldung:
SQL ERROR [ mysqli ]

Got a packet bigger than 'max_allowed_packet' bytes [1153]

SQL

dann ein sehr langer Code und...

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 1020
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysqli.php
LINE: 195
CALL: phpbb\db\driver\driver->sql_error()

FILE: [ROOT]/phpbb/db/driver/factory.php
LINE: 345
CALL: phpbb\db\driver\mysqli->sql_query()

FILE: [ROOT]/includes/acp/acp_database.php
LINE: 255
CALL: phpbb\db\driver\factory->sql_query()

FILE: [ROOT]/includes/functions_module.php
LINE: 676
CALL: acp_database->main()

FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()
Ich habe über das Forum bereits herausgefunden, dass ich die "my.ini" unter "max_allowed_packet" anpassen muss. Diese steht nun auf " max_allowed_packet=256M". Keine Veränderung.

Als weitere Information:
Der eigentliche Webspace, auf welchem das Forum wieder funktionieren soll, ist bei Strato - den Zugang bekomme ich den nächsten Tagen von dem Besitzer, welcher Hilfe benötigt. Den Zugang für den FTP und der DAtenbank besitze ich bereits.

Meine Rolle: Ich bin dabei eine sehr veraltete Homepage (von einem Verwanten) auf Wordpress-Basis zu erneuern. Dabei soll das Forum auch wieder in Kraft treten.


Ich danke euch vielmals für eure Hilfe.

Grüße
KWolf

Lehrling
Supporter
Supporter
Beiträge: 3671
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: [3.3] Unbekannte Datenbankbackupversion in neue 3.3 umgebung importieren

Beitrag von Lehrling »

Du könntest in deinem Backup-Paket nach der Tabelle phpbb_config suchen und dann schauen, was bei version eingetragen ist. Dann hättest du zumindest mal die phpBB-Version und könntest eventuell ein Testboard mit dieser Version zum Laufen bringen.

Benutzeravatar
KWolf
Mitglied
Beiträge: 29
Registriert: 18.07.2020 11:57

Re: [3.3] Unbekannte Datenbankbackupversion in neue 3.3 umgebung importieren

Beitrag von KWolf »

Vielen dank für den Hinweis!
Ich habe es gar nicht mehr gebraucht, da nachdem ich den Strato-Zugang hatte ich das forum Verzeichnis einfach zurücksetzten konnte auf einen älteren Stand (es scheint wohl so, dass irgendwelche Dateien defekt waren oder vllt sogar gelöscht wurden). Das Forum funktioniert jetzt wieder.

Die Version ist 3.1.6.
ich bin jetzt dabei ein Update auf 3.2.9 zu machen (habe hier die Anleitung dafür gefunden). Ist es denn denn die gleiche vorhergehensweiße mit 3.3?
Sollte ich auf 3.2.9 updaten oder direkt auf 3.3 gehen?

Vielen Dank im Voraus!

PS: was mich bereits gewundert hat, dass die Dantenbank auf 3.3 bereits steht (dies stand als Hinweis im ACP, dass die Datenbank von 3.1.6 auf 3.3 geupdatet wurde)

1. Da das Forum ja läuft auf Version 3.1.6 mit eienr vermeintlichen Datenbank auf 3.3 kann ich davon ausgehen, dass es egal idt ob ich das Forum auf 3.2.9 oder 3.3 bringe korrekt?
2. Verstehe ich das richtig, dass eine datenbank demnach eine höhere Version haben kann ohne Auswirkungen auf das Forum zu haben?
3. Verstehe ich es richtig, dass eine Datenbank nur geupdatet werden muss, wenn die Forumversion höher ist?

Vielen Dank für die Antwort schon einmal!

Viele Grüße
KWolf


Gesperrt

Zurück zu „Support-Forum“